Package com.ocient.jdbc.proto

## Interface PlanProtocol.OrderedDistinctOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.OrderedDistinctOperator`, `PlanProtocol.OrderedDistinctOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.OrderedDistinctOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `getEmitCount()` If true, emit a count rather than the actual distinct values
`PlanProtocol.GatherLevel` `getLevel()` `.xg.db.sqlPlans.GatherLevel level = 1;`
`int` `getLevelValue()` `.xg.db.sqlPlans.GatherLevel level = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getLevelValue

    int getLevelValue()

`.xg.db.sqlPlans.GatherLevel level = 1;`

Returns:
  The enum numeric value on the wire for level.

#### getLevel

    PlanProtocol.GatherLevel getLevel()

`.xg.db.sqlPlans.GatherLevel level = 1;`

Returns:
  The level.

#### getEmitCount

    boolean getEmitCount()

    If true, emit a count rather than the actual distinct values

`bool emitCount = 2;`

Returns:
  The emitCount.